import { DataWithHistory } from "../data/data.model";
import { FeatureFlag } from "./feature-flags.model";

export interface TechnicianConfig extends DataWithHistory {
  id?: number;
  helpCommandReferenceUrl?: string;
  waitForRestart?: number;
  waitForShutdown?: number;
  cacheMaxMessages?: number;
  maxSteamOfferCount?: number;
  featureFlags: FeatureFlag[];
  pingURLs: string[];
  technicianIds: string[];
}
