import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ShortRoleNamesComponent } from './components/short-role-names/short-role-names.component';
import { ShortRoleNameRoutingModule } from "./short-role-name-routing.module";
import { ButtonModule } from "primeng/button";
import { InputTextModule } from "primeng/inputtext";
import { ReactiveFormsModule } from "@angular/forms";
import { SharedModule } from "../../../shared/shared.module";
import { TableModule } from "primeng/table";
import { TranslateModule } from "@ngx-translate/core";



@NgModule({
  declarations: [
    ShortRoleNamesComponent,
  ],
  imports: [
    CommonModule,
    ShortRoleNameRoutingModule,
    ButtonModule,
    InputTextModule,
    ReactiveFormsModule,
    SharedModule,
    SharedModule,
    TableModule,
    TranslateModule
  ]
})
export class ShortRoleNameModule { }
